Delete Classifier Label
DELETEhttps://api.confident-ai.com/v1/classifiers/{classifierId}/labels/{labelId}
Permanently deletes a label from a classifier. Requires the Starter plan or above.
Warning: This action cannot be undone.
curl -X DELETE "https://api.confident-ai.com/v1/classifiers/{classifierId}/labels/{labelId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "LABEL-ID"
}
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
classifierIdstringRequiredThe unique identifier of the classifier.
labelIdstringRequiredThe unique identifier of the label to delete.
Response
successbooleanIndicates if the deletion was successful.
dataobjectShow 1 propertyHide 1 property
idstringThe unique identifier of the deleted label.
Built byConfident AI